curl --request POST \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "test124",
"proxyAmount": 10,
"country": "US",
"carrierCode": "verizonwirelessllc",
"state": "California",
"city": "Los Angeles",
"isSticky": false,
"sessionDuration": 30,
"format": "ip:port:user:pass"
}
'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies"
payload = {
"userId": "test124",
"proxyAmount": 10,
"country": "US",
"carrierCode": "verizonwirelessllc",
"state": "California",
"city": "Los Angeles",
"isSticky": False,
"sessionDuration": 30,
"format": "ip:port:user:pass"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: 'test124',
proxyAmount: 10,
country: 'US',
carrierCode: 'verizonwirelessllc',
state: 'California',
city: 'Los Angeles',
isSticky: false,
sessionDuration: 30,
format: 'ip:port:user:pass'
})
};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => 'test124',
'proxyAmount' => 10,
'country' => 'US',
'carrierCode' => 'verizonwirelessllc',
'state' => 'California',
'city' => 'Los Angeles',
'isSticky' => false,
'sessionDuration' => 30,
'format' => 'ip:port:user:pass'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies"
payload := strings.NewReader("{\n \"userId\": \"test124\",\n \"proxyAmount\": 10,\n \"country\": \"US\",\n \"carrierCode\": \"verizonwirelessllc\",\n \"state\": \"California\",\n \"city\": \"Los Angeles\",\n \"isSticky\": false,\n \"sessionDuration\": 30,\n \"format\": \"ip:port:user:pass\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"test124\",\n \"proxyAmount\": 10,\n \"country\": \"US\",\n \"carrierCode\": \"verizonwirelessllc\",\n \"state\": \"California\",\n \"city\": \"Los Angeles\",\n \"isSticky\": false,\n \"sessionDuration\": 30,\n \"format\": \"ip:port:user:pass\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"test124\",\n \"proxyAmount\": 10,\n \"country\": \"US\",\n \"carrierCode\": \"verizonwirelessllc\",\n \"state\": \"California\",\n \"city\": \"Los Angeles\",\n \"isSticky\": false,\n \"sessionDuration\": 30,\n \"format\": \"ip:port:user:pass\"\n}"
response = http.request(request)
puts response.read_body[
"<string>"
]{
"statusCode": 400,
"message": "User <username or user_id> does not exist",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}Generate proxies
Generates proxies for an existing sub-user. Takes:
- userId: The ID of the sub-user to generate proxies for.
- proxyAmount: The number of proxies to generate.
- country: ISO 3166-1 alpha-2 country code to generate proxies in (see GET /info).
- carrierCode: Mobile carrier code available for the selected country (see GET /info).
- state / city: Optional region/city to narrow down the proxy location within the country.
- isSticky / sessionDuration: Optional sticky-session settings; when isSticky is true, the session is held for sessionDuration minutes (defaults to 30 if omitted).
- format: Optional output format for the returned proxy strings, defaults to ip:port:user:pass. Returns an array of proxy connection strings.
curl --request POST \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "test124",
"proxyAmount": 10,
"country": "US",
"carrierCode": "verizonwirelessllc",
"state": "California",
"city": "Los Angeles",
"isSticky": false,
"sessionDuration": 30,
"format": "ip:port:user:pass"
}
'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies"
payload = {
"userId": "test124",
"proxyAmount": 10,
"country": "US",
"carrierCode": "verizonwirelessllc",
"state": "California",
"city": "Los Angeles",
"isSticky": False,
"sessionDuration": 30,
"format": "ip:port:user:pass"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: 'test124',
proxyAmount: 10,
country: 'US',
carrierCode: 'verizonwirelessllc',
state: 'California',
city: 'Los Angeles',
isSticky: false,
sessionDuration: 30,
format: 'ip:port:user:pass'
})
};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => 'test124',
'proxyAmount' => 10,
'country' => 'US',
'carrierCode' => 'verizonwirelessllc',
'state' => 'California',
'city' => 'Los Angeles',
'isSticky' => false,
'sessionDuration' => 30,
'format' => 'ip:port:user:pass'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies"
payload := strings.NewReader("{\n \"userId\": \"test124\",\n \"proxyAmount\": 10,\n \"country\": \"US\",\n \"carrierCode\": \"verizonwirelessllc\",\n \"state\": \"California\",\n \"city\": \"Los Angeles\",\n \"isSticky\": false,\n \"sessionDuration\": 30,\n \"format\": \"ip:port:user:pass\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"test124\",\n \"proxyAmount\": 10,\n \"country\": \"US\",\n \"carrierCode\": \"verizonwirelessllc\",\n \"state\": \"California\",\n \"city\": \"Los Angeles\",\n \"isSticky\": false,\n \"sessionDuration\": 30,\n \"format\": \"ip:port:user:pass\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/mobile/users/generate_proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"test124\",\n \"proxyAmount\": 10,\n \"country\": \"US\",\n \"carrierCode\": \"verizonwirelessllc\",\n \"state\": \"California\",\n \"city\": \"Los Angeles\",\n \"isSticky\": false,\n \"sessionDuration\": 30,\n \"format\": \"ip:port:user:pass\"\n}"
response = http.request(request)
puts response.read_body[
"<string>"
]{
"statusCode": 400,
"message": "User <username or user_id> does not exist",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}Authorizations
[just text field] Please enter token in following format: Bearer
Body
The userId (username) of the sub-user to generate proxies for.
"test124"
Number of proxies to generate. Must be a positive number.
10
ISO 3166-1 alpha-2 country code to generate proxies in.
"US"
Mobile carrier code to generate proxies for. Must be a carrier available for the selected country (see GET /info).
"verizonwirelessllc"
Optional state/region to narrow down the proxy location within the country.
"California"
Optional city to narrow down the proxy location within the country/state.
"Los Angeles"
Whether to generate sticky-session proxies that keep the same IP for the duration of sessionDuration. Defaults to false.
false
Sticky session duration, in minutes. Only applies when isSticky is true; defaults to 30 minutes if isSticky is true and this is omitted.
30
Output format for the returned proxy connection strings. Defaults to ip:port:user:pass.
ip:port:user:pass, user:pass:ip:port, user:pass@ip:port, ip:port@user:pass "ip:port:user:pass"
Response
Proxies generated